Subject: [netatalk-admins] Solaris 2.6

From: "Yannai A. Gonczarowski" <[email-masked]>
Date: Mon, 12 Jan 1998 18:43:36 +0200

Hi,
I tried to install netatalk-1.4b2 on a solaris 2.6 machine, and got the
following error while compiling (all defaults):

Making all for solaris...
gcc -D_KERNEL -mno-app-regs -munaligned-doubles -fpcc-struct-return -D__svr4__
-DSOLARIS -O -I../../include -I../netatalk  -c  aarp.c
gcc -D_KERNEL -mno-app-regs -munaligned-doubles -fpcc-struct-return -D__svr4__
-DSOLARIS -O -I../../include -I../netatalk  -c  ddp.c
gcc -D_KERNEL -mno-app-regs -munaligned-doubles -fpcc-struct-return -D__svr4__
-DSOLARIS -O -I../../include -I../netatalk  -c  ddptp_rdq.c
gcc -D_KERNEL -mno-app-regs -munaligned-doubles -fpcc-struct-return -D__svr4__
-DSOLARIS -O -I../../include -I../netatalk  -c  ddptp_utls.c
ddptp_utls.c:49: conflicting types for `msgdsize'
/usr/include/sys/stream.h:705: previous declaration of `msgdsize'
ddptp_utls.c:52: conflicting types for `allocb'
/usr/include/sys/stream.h:687: previous declaration of `allocb'
*** Error code 1
make: Fatal error: Command failed for target `ddptp_utls.o'
Current working directory /usr/local/src/netatalk-1.4b2/sys/solaris
*** Error code 1
make: Fatal error: Command failed for target `all'

Has anyone succeeded building netatalk on Solaris 2.6? Does anyone know what
the problem is?

Regards,
Yannai.

--
Yannai A. Gonczarowski    System Administrator    [email-masked]
The Hebrew University High School    http://www.leyada.jlm.k12.il/~yannaigo/

Si vis pacem, para bellum